Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel_impl.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel_impl.c	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel_impl.c	(revision 429)
@@ -3,8 +3,8 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems/
  *      Advanced Standard Profile Kernel
- *
- *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
+ * 
+ *  Copyright (C) 2007-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
- *
+ * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
  *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
@@ -29,5 +29,5 @@
  *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
  *      免責すること．
- *
+ * 
  *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
  *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
@@ -35,5 +35,5 @@
  *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
  *  の責任を負わない．
- *
+ * 
  *  $Id$
  */
@@ -48,6 +48,13 @@
 #include "rza1.h"
 #include "scif.h"
-#include "core_pl310.h"
-#include "us_ticker_api.h"
+
+/*
+ * C++のグローバルコンストラクタ呼び出し
+ */
+void __libc_init_array()
+{
+	/* グローバルコンストラクタでOS APIを呼び出す場合は、
+	   タスクが起動してから行う */
+}
 
 /*
@@ -63,14 +70,14 @@
  *  MMUへの設定属性（第1レベルディスクリプタ）
  */
-#define MMU_ATTR_RAM	(ARM_MMU_DSCR1_SHARED|ARMV6_MMU_DSCR1_APX0 \
-							|ARM_MMU_DSCR1_TEX001|ARM_MMU_DSCR1_AP11 \
-							|ARM_MMU_DSCR1_CB11)
-#define MMU_ATTR_IODEV	(ARM_MMU_DSCR1_SHARED|ARMV6_MMU_DSCR1_APX0 \
-							|ARM_MMU_DSCR1_TEX000|ARM_MMU_DSCR1_AP11 \
-							|ARM_MMU_DSCR1_CB01|ARMV6_MMU_DSCR1_NOEXEC)
+#define MMU_ATTR_RAM	(ARM_MMU_DSCR1_SHARED|ARM_MMU_DSCR1_TEX001 \
+							|ARMV6_MMU_DSCR1_AP011|ARM_MMU_DSCR1_CB11)
+#define MMU_ATTR_IODEV	(ARM_MMU_DSCR1_SHARED|ARM_MMU_DSCR1_TEX000 \
+							|ARMV6_MMU_DSCR1_AP011|ARM_MMU_DSCR1_CB01 \
+							|ARMV6_MMU_DSCR1_NOEXEC)
+
 /*
  *  MMUの設定情報（メモリエリアの情報）
  */
-ARM_MMU_CONFIG arm_memory_area[] = {
+const ARM_MMU_CONFIG arm_memory_area[] = {
 	{ SPI_ADDR, SPI_ADDR, SPI_SIZE, MMU_ATTR_RAM },
 	{ SRAM_ADDR, SRAM_ADDR, SRAM_SIZE, MMU_ATTR_RAM },
@@ -206,7 +213,7 @@
  *  システムログの低レベル出力のための初期化
  *
- *  セルタイプtPutLogGRPeach内に実装されている関数を直接呼び出す．
- */
-extern void	tPutLogGRPeach_initialize(void);
+ *  セルタイプtPutLogSIOPort内に実装されている関数を直接呼び出す．
+ */
+extern void	tPutLogSIOPort_initialize(void);
 
 /*
@@ -244,9 +251,4 @@
 
 	/*
-	 *  L2キャッシュコントローラ（PL310）の初期化
-	 */
-	/*pl310_initialize(0x0U, ~0x0U);*/
-
-	/*
 	 *  LEDを青色に点灯させる
 	 */
@@ -254,8 +256,8 @@
 
 	/*
-	 *  低レベル出力用にSIOを初期化
+	 *  SIOを初期化
 	 */
 #ifndef TOPPERS_OMIT_TECS
-	tPutLogGRPeach_initialize();
+	tPutLogSIOPort_initialize();
 #endif /* TOPPERS_OMIT_TECS */
 }
@@ -268,4 +270,15 @@
 {
 	static int first = 1;
+	extern void    software_term_hook(void);
+	void (*volatile fp)(void) = software_term_hook;
+
+	/*
+	 *  software_term_hookへのポインタを，一旦volatile指定のあるfpに代
+	 *  入してから使うのは，0との比較が最適化で削除されないようにするた
+	 *  めである．
+	 */
+	if (fp != 0) {
+		(*fp)();
+	}
 
 	/*
@@ -293,52 +306,2 @@
 	rza1_config_port(RZA1_PORT_P(6), led, set);
 }
-
-void us_ticker_init(void)
-{
-}
-
-uint32_t us_ticker_read()
-{
-	ER ret;
-	SYSTIM now;
-
-	ret = get_tim(&now);
-	if(ret != E_OK)
-		return 0;
-
-	return now;
-}
-
-void us_ticker_set_interrupt(timestamp_t timestamp)
-{
-	Asm("bkpt #0");
-}
-
-void us_ticker_disable_interrupt(void)
-{
-}
-
-void us_ticker_clear_interrupt(void)
-{
-}
-
-void wait(float s)
-{
-	wait_us(s * 1000000.0f);
-}
-
-void wait_ms(int ms)
-{
-	wait_us(ms * 1000);
-}
-
-void wait_us(int us)
-{
-	ER ret;
-
-	ret = dly_tsk(us);
-	if (ret == E_CTX){
-		uint32_t start = us_ticker_read();
-		while ((us_ticker_read() - start) < (uint32_t)us);
-	}
-}
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel_impl.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel_impl.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel_impl.h	(revision 429)
@@ -3,10 +3,10 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems/
  *      Advanced Standard Profile Kernel
- *
+ * 
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2006-2016 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2006-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
- *
+ * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
  *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
@@ -31,5 +31,5 @@
  *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
  *      免責すること．
- *
+ * 
  *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
  *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
@@ -37,5 +37,5 @@
  *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
  *  の責任を負わない．
- *
+ * 
  *  $Id$
  */
@@ -57,20 +57,8 @@
 
 /*
- *  トレースログに関する設定
- */
-#ifdef TOPPERS_ENABLE_TRACE
-#include "arch/tracelog/trace_log.h"
-#endif /* TOPPERS_ENABLE_TRACE */
-
-/*
- *  デフォルトの非タスクコンテキスト用のスタック領域の定義
- */
-#define DEFAULT_ISTKSZ  0x2000U		/* 8KB */
-
-/*
  *  微少時間待ちのための定義（本来はSILのターゲット依存部）
  */
-#define SIL_DLY_TIM1    352
-#define SIL_DLY_TIM2    200
+#define SIL_DLY_TIM1	110
+#define SIL_DLY_TIM2	72
 
 /*
@@ -84,5 +72,5 @@
  *  ターゲットシステム依存の初期化
  */
-extern void target_initialize(void);
+extern void	target_initialize(void);
 
 /*
@@ -91,5 +79,5 @@
  *  システムを終了する時に使う．
  */
-extern void target_exit(void) NoReturn;
+extern void	target_exit(void) NoReturn;
 
 #endif /* TOPPERS_MACRO_ONLY */
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_rename.def
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_rename.def	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_rename.def	(revision 429)
@@ -1,13 +1,7 @@
 # target_kernel_impl.c
+arm_tnum_memory_area
+arm_memory_area
 target_initialize
 target_exit
 
-# tTraceLog.c
-log_dsp_enter
-log_dsp_leave
-log_inh_enter
-log_inh_leave
-log_exc_enter
-log_exc_leave
-
 INCLUDE "chip"
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_rename.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_rename.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_rename.h	(revision 429)
@@ -7,16 +7,8 @@
  *  target_kernel_impl.c
  */
+#define arm_tnum_memory_area		_kernel_arm_tnum_memory_area
+#define arm_memory_area				_kernel_arm_memory_area
 #define target_initialize			_kernel_target_initialize
 #define target_exit					_kernel_target_exit
-
-/*
- *  tTraceLog.c
- */
-#define log_dsp_enter				_kernel_log_dsp_enter
-#define log_dsp_leave				_kernel_log_dsp_leave
-#define log_inh_enter				_kernel_log_inh_enter
-#define log_inh_leave				_kernel_log_inh_leave
-#define log_exc_enter				_kernel_log_exc_enter
-#define log_exc_leave				_kernel_log_exc_leave
 
 
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_sil.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_sil.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_sil.h	(revision 429)
@@ -1,47 +1,10 @@
 /*
- *  TOPPERS Software
- *      Toyohashi Open Platform for Embedded Real-Time Systems
- *
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
- *              Graduate School of Information Science, Nagoya Univ., JAPAN
- *
- *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
- *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
- *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
- *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
- *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
- *      スコード中に含まれていること．
- *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
- *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
- *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
- *      の無保証規定を掲載すること．
- *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
- *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
- *      と．
- *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
- *        作権表示，この利用条件および下記の無保証規定を掲載すること．
- *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
- *        報告すること．
- *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
- *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
- *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
- *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
- *      免責すること．
- *
- *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
- *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
- *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
- *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
- *  の責任を負わない．
- *
- *  $Id$
- */
-
-/*
- *		sil.hのチップ依存部（GR-PEACH用）
+ *		sil.hのターゲット依存部（GR-PEACH用）
  *
  *  このヘッダファイルは，sil.hからインクルードされる．他のファイルから
  *  直接インクルードすることはない．このファイルをインクルードする前に，
  *  t_stddef.hがインクルードされるので，それに依存してもよい．
+ * 
+ *  $Id$
  */
 
@@ -57,7 +20,5 @@
  *  コアで共通な定義（チップ依存部は飛ばす）
  */
-#ifndef TECSGEN
 #include "core_sil.h"
-#endif /* TECSGEN */
 
 #endif /* TOPPERS_TARGET_SIL_H */
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_stddef.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_stddef.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_stddef.h	(revision 429)
@@ -1,41 +1,2 @@
-/*
- *  TOPPERS Software
- *      Toyohashi Open Platform for Embedded Real-Time Systems
- * 
- *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
- *              Graduate School of Information Science, Nagoya Univ., JAPAN
- * 
- *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
- *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
- *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
- *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
- *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
- *      スコード中に含まれていること．
- *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
- *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
- *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
- *      の無保証規定を掲載すること．
- *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
- *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
- *      と．
- *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
- *        作権表示，この利用条件および下記の無保証規定を掲載すること．
- *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
- *        報告すること．
- *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
- *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
- *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
- *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
- *      免責すること．
- * 
- *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
- *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
- *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
- *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
- *  の責任を負わない．
- * 
- *  $Id$
- */
-
 /*
  *		t_stddef.hのターゲット依存部（GR-PEACH用）
@@ -44,4 +5,6 @@
  *  イルからは直接インクルードすることはない．他のヘッダファイルに先立っ
  *  て処理されるため，他のヘッダファイルに依存してはならない．
+ * 
+ *  $Id$
  */
 
@@ -56,15 +19,5 @@
 
 /*
- *  開発環境で共通な定義
- */
-#ifndef TOPPERS_MACRO_ONLY
-#include <stdint.h>
-#endif /* TOPPERS_MACRO_ONLY */
-
-#define TOPPERS_STDFLOAT_TYPE1
-#include "tool_stddef.h"
-
-/*
- *  チッブ依存で共通な定義
+ *  チッブで共通な定義
  */
 #include "chip_stddef.h"
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_support.S
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_support.S	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_support.S	(revision 429)
@@ -51,5 +51,5 @@
 #define CAST(type, val)		(val)		/* 型キャストを行うマクロ */
 #include "kernel_impl.h"
-#include "core_pl310.h"
+#include "pl310.h"
 #include "core_asm.inc"
 
@@ -71,5 +71,5 @@
 	ldrb	r0, [r2]		/* ダミーリード */
 
-	/* 
+	/*
 	 *  クロック関係の初期化
 	 *
@@ -103,5 +103,5 @@
 
 #ifdef TOPPERS_RZA1H
-	/* 
+	/*
 	 *  画像処理クロックを「×2/3」に（266.67MHz）
 	 */
@@ -115,5 +115,5 @@
 #endif /* TOPPERS_RZA1H */
 
-	/* 
+	/*
 	 *  ソフトウェアスタンバイ復帰中でなくなるまで待つ
 	 */
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_syssvc.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_syssvc.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_syssvc.h	(revision 429)
@@ -1,63 +1,14 @@
 /*
- *  TOPPERS/ASP Kernel
- *      Toyohashi Open Platform for Embedded Real-Time Systems/
- *      Advanced Standard Profile Kernel
- *
- *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
- *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
- *              Graduate School of Information Science, Nagoya Univ., JAPAN
- *
- *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
- *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
- *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
- *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
- *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
- *      スコード中に含まれていること．
- *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
- *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
- *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
- *      の無保証規定を掲載すること．
- *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
- *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
- *      と．
- *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
- *        作権表示，この利用条件および下記の無保証規定を掲載すること．
- *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
- *        報告すること．
- *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
- *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
- *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
- *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
- *      免責すること．
- *
- *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
- *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
- *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
- *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
- *  の責任を負わない．
- *
- *  $Id$
- */
-
-/*
- *		システムサービスのターゲット依存部（GR-PEACH用）
+ *		システムサービスのターゲット依存部
  *
  *  システムサービスのターゲット依存部のヘッダファイル．システムサービ
  *  スのターゲット依存の設定は，できる限りコンポーネント記述ファイルで
  *  記述し，このファイルに記述するものは最小限とする．
+ * 
+ *  $Id$
  */
 
 #ifndef TOPPERS_TARGET_SYSSVC_H
 #define TOPPERS_TARGET_SYSSVC_H
-
-#include "gr_peach.h"
-
-/*
- *  トレースログに関する設定
- */
-#ifdef TOPPERS_ENABLE_TRACE
-#include "arch/tracelog/trace_log.h"
-#endif /* TOPPERS_ENABLE_TRACE */
 
 /*
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_test.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_test.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_test.h	(revision 429)
@@ -3,8 +3,8 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems/
  *      Advanced Standard Profile Kernel
- *
+ * 
  *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
- *
+ * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
  *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
@@ -29,5 +29,5 @@
  *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
  *      免責すること．
- *
+ * 
  *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
  *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
@@ -35,5 +35,5 @@
  *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
  *  の責任を負わない．
- *
+ * 
  *  $Id$
  */
@@ -49,9 +49,9 @@
 
 /*
- *  サンプルプログラムで使用する割込みに関する定義
+ *  サンプルプログラム／テストプログラムで使用する割込みに関する定義
  */
 #define INTNO1				INTNO_IRQ5
 #define INTNO1_INTATR		TA_ENAINT|TA_NEGEDGE
-#define INTNO1_INTPRI		-15
+#define INTNO1_INTPRI		(-15)
 #define intno1_clear()		rza1_clear_irq(INTNO_IRQ5)
 
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_timer.cfg
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_timer.cfg	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_timer.cfg	(revision 429)
@@ -5,9 +5,8 @@
  */
 
-#include "gr_peach.h"
 #include "target_timer.h"
 
 /*
- *  チップ依存部（RZ/A1用）
+ *  チップ依存部
  */
 INCLUDE("chip_timer.cfg");
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_timer.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_timer.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_timer.h	(revision 429)
@@ -1,44 +1,6 @@
 /*
- *  TOPPERS/ASP Kernel
- *      Toyohashi Open Platform for Embedded Real-Time Systems/
- *      Advanced Standard Profile Kernel
- *
- *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
- *              Graduate School of Information Science, Nagoya Univ., JAPAN
- *
- *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
- *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
- *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
- *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
- *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
- *      スコード中に含まれていること．
- *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
- *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
- *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
- *      の無保証規定を掲載すること．
- *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
- *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
- *      と．
- *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
- *        作権表示，この利用条件および下記の無保証規定を掲載すること．
- *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
- *        報告すること．
- *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
- *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
- *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
- *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
- *      免責すること．
- *
- *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
- *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
- *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
- *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
- *  の責任を負わない．
- *
+ *		タイマドライバ
+ * 
  *  $Id$
- */
-
-/*
- *		タイマドライバ（GR-PEACH用）
  */
 
@@ -47,5 +9,5 @@
 
 /*
- *  チップで共通な定義（RZ/A1用）
+ *  チップで共通な定義
  */
 #include "chip_timer.h"
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_unrename.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_unrename.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_unrename.h	(revision 429)
@@ -8,16 +8,8 @@
  *  target_kernel_impl.c
  */
+#undef arm_tnum_memory_area
+#undef arm_memory_area
 #undef target_initialize
 #undef target_exit
-
-/*
- *  tTraceLog.c
- */
-#undef log_dsp_enter
-#undef log_dsp_leave
-#undef log_inh_enter
-#undef log_inh_leave
-#undef log_exc_enter
-#undef log_exc_leave
 
 
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/tinet_target_config.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/tinet_target_config.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/tinet_target_config.h	(revision 429)
@@ -182,9 +182,21 @@
 #define NUM_IF_MBED_RXBUF		NUM_OF_RX_DESCRIPTOR	/* 受信バッファ数			*/
 
-#define TMO_IF_MBED_GET_NET_BUF	1000	/* [ms]、受信用 net_buf 獲得タイムアウト	*/
+#define TMO_IF_MBED_GET_NET_BUF	1000	/* [us]、受信用 net_buf 獲得タイムアウト	*/
 					/* [s]、 送信タイムアウト			*/
 #define TMO_IF_MBED_XMIT		(2*IF_TIMER_HZ)
 
 /*#define IF_MBED_CFG_ACCEPT_ALL		 マルチキャスト、エラーフレームも受信するときはコメントを外す。*/
+
+/*
+ *  Bluetooth USB PAN に関する定義
+ */
+
+#define NUM_IF_BTUSB_TXBUF		2	/* 送信バッファ数			*/
+#define NUM_IF_BTUSB_RXBUF		2	/* 受信バッファ数			*/
+#define IF_BTUSB_BUF_PAGE_SIZE	1518	/* バッファサイズ */
+
+#define TMO_IF_BTUSB_GET_NET_BUF	1000	/* [us]、受信用 net_buf 獲得タイムアウト	*/
+					/* [s]、 送信タイムアウト			*/
+#define TMO_IF_BTUSB_XMIT		(2*IF_TIMER_HZ)
 
 /*
Index: EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/kernel.cdl
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/kernel.cdl	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/kernel.cdl	(revision 429)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2015,2016 by Ushio Laboratory
  *              Graduate School of Engineering Science, Osaka Univ., JAPAN
- *  Copyright (C) 2015,2016 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2015-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -299,5 +299,5 @@
 	ER 		sendForce([in] intptr_t data);
 	ER 		receive([out] intptr_t *p_data);
-	ER 		receivePolling([out] intptr_t *p_Data);
+	ER 		receivePolling([out] intptr_t *p_data);
 	ER 		receiveTimeout([out] intptr_t *p_data, [in] TMO timeout);
 	ER 		initialize(void);
@@ -397,5 +397,5 @@
 	ER		unlock(void);
 	ER		initialize(void);
-	ER		refer([out] T_RSEM *pk_mutexStatus);
+	ER		refer([out] T_RMTX *pk_mutexStatus);
 };
 
@@ -501,5 +501,5 @@
 
 	attr {
-		ID				id = C_EXP("ALMID_$id$");
+		ID				id = C_EXP("CYCID_$id$");
 		[omit] ATR		attribute = C_EXP("TA_NULL");
 		[omit] bool_t	ignoreErrors = false;
@@ -536,5 +536,5 @@
 
 /*
- *  周期通知にユーザーハンドラを指定するための複合セルタイプ
+ *  周期通知にタイムイベントハンドラを指定するための複合セルタイプ
  */
 [active]
@@ -544,5 +544,5 @@
 
 	attr {
-		ID				id = C_EXP("ALMID_$id$");
+		ID				id = C_EXP("CYCID_$id$");
 		[omit] ATR		attribute = C_EXP("TA_NULL");
 		[omit] RELTIM	cycleTime;
@@ -630,5 +630,5 @@
 
 /*
- *  アラーム通知にユーザーハンドラを指定するための複合セルタイプ
+ *  アラーム通知にタイムイベントハンドラを指定するための複合セルタイプ
  */
 [active]
@@ -663,4 +663,7 @@
 	ER		disable(void);
 	ER		enable(void);
+	ER		clear(void);
+	ER		raise(void);
+	ER_BOOL	probe(void);
 };
 
@@ -715,15 +718,34 @@
 
 	attr {
-		INHNO			interruptHandlerNumber;
-		[omit] ATR		attribute = C_EXP("TA_NULL");
-	};
-
-	factory {
-		write("tecsgen.cfg",
-				"DEF_INH(%s, { %s, tInterruptHandler_start });", attribute);
+		[omit] INHNO	interruptHandlerNumber;
+		[omit] ATR		attribute = C_EXP("TA_NULL");
+	};
+
+	factory {
+		write("tecsgen.cfg", "DEF_INH(%s, { %s, $id$_start });",
+									interruptHandlerNumber, attribute);
+		write("$ct$_tecsgen.h",
+				"#ifndef TOPPERS_MACRO_ONLY\n"
+				"extern void $id$_start(void);\n"
+				"#endif /* TOPPERS_MACRO_ONLY */\n");
+		write("$ct$.c",
+				"void $id$_start()\n"
+				"{\n"
+				"    CELLCB *p_cellcb = $cbp$;\n"
+				"    ciInterruptHandlerBody_main();\n"
+				"}\n");
 	};
 	FACTORY {
 		write("tecsgen.cfg", "#include \"$ct$_tecsgen.h\"");
-	};
+		write("$ct$.c", "#include \"$ct$_tecsgen.h\"");
+	};
+};
+
+/*
+ *  CPU例外ハンドラ本体のシグニチャ
+ */
+[context("non-task")]
+signature siCpuExceptionHandlerBody {
+	void	main([in] const void *p_excinf);
 };
 
@@ -733,17 +755,28 @@
 [active]
 celltype tCpuExceptionHandler {
-	call	siHandlerBody	ciCpuExceptionHandlerBody;
-
-	attr {
-		EXCNO			cpuExceptionHandlerNumber;
-		[omit] ATR		attribute = C_EXP("TA_NULL");
-	};
-
-	factory {
-		write("tecsgen.cfg",
-				"DEF_EXC(%s, { %s, tCpuExceptionHandler_start });", attribute);
+	call	siCpuExceptionHandlerBody	ciCpuExceptionHandlerBody;
+
+	attr {
+		[omit] EXCNO	cpuExceptionHandlerNumber;
+		[omit] ATR		attribute = C_EXP("TA_NULL");
+	};
+
+	factory {
+		write("tecsgen.cfg", "DEF_EXC(%s, { %s, $id$_start });",
+									cpuExceptionHandlerNumber, attribute);
+		write("$ct$_tecsgen.h",
+				"#ifndef TOPPERS_MACRO_ONLY\n"
+				"extern void $id$_start(void *p_excinf);\n"
+				"#endif /* TOPPERS_MACRO_ONLY */\n");
+		write("$ct$.c",
+				"void $id$_start(void *p_excinf)\n"
+				"{\n"
+				"    CELLCB *p_cellcb = $cbp$;\n"
+				"    ciCpuExceptionHandlerBody_main(p_excinf);\n"
+				"}\n");
 	};
 	FACTORY {
 		write("tecsgen.cfg", "#include \"$ct$_tecsgen.h\"");
+		write("$ct$.c", "#include \"$ct$_tecsgen.h\"");
 	};
 };
Index: EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tAlarmNotifier_inline.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tAlarmNotifier_inline.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tAlarmNotifier_inline.h	(revision 429)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2015 by Ushio Laboratory
  *              Graduate School of Engineering Science, Osaka Univ., JAPAN
- *  Copyright (C) 2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2015-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -81,5 +81,5 @@
 {
 	CELLCB	*p_cellcb = GET_CELLCB(idx);
-	return(ista_alm(ATTR_id, alarmTime));
+	return(sta_alm(ATTR_id, alarmTime));
 }
 
@@ -91,5 +91,5 @@
 {
 	CELLCB	*p_cellcb = GET_CELLCB(idx);
-	return(istp_alm(ATTR_id));
+	return(stp_alm(ATTR_id));
 }
 
Index: EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tInitializeRoutine.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tInitializeRoutine.c	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tInitializeRoutine.c	(revision 429)
@@ -46,5 +46,6 @@
  *  初期化ルーチン本体の呼出し
  */
-void  tInitializeRoutine_start(intptr_t exinf)
+void
+tInitializeRoutine_start(intptr_t exinf)
 {
 	CELLCB	*p_cellcb = (CELLCB *) exinf;
Index: EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tInterruptRequest_inline.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tInterruptRequest_inline.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tInterruptRequest_inline.h	(revision 429)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2015 by Ushio Laboratory
  *              Graduate School of Engineering Science, Osaka Univ., JAPAN
- *  Copyright (C) 2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2015-2017 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -64,3 +64,33 @@
 }
 
+/*
+ *  割込み要求のクリア
+ */
+Inline ER
+eInterruptRequest_clear(CELLIDX idx)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	return(clr_int(ATTR_interruptNumber));
+}
+
+/*
+ *  割込みの要求
+ */
+Inline ER
+eInterruptRequest_raise(CELLIDX idx)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	return(ras_int(ATTR_interruptNumber));
+}
+
+/*
+ *  割込み要求のチェック
+ */
+Inline ER_BOOL
+eInterruptRequest_probe(CELLIDX idx)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	return(prb_int(ATTR_interruptNumber));
+}
+
 #endif /* TOPPERS_TINTERRUPTREQUEST_INLINE_H */
Index: EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tMutex_inline.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tMutex_inline.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tMutex_inline.h	(revision 429)
@@ -71,5 +71,5 @@
 {
 	CELLCB	*p_cellcb = GET_CELLCB(idx);
-	return(ploc_mtx(ATTR_id, timeout));
+	return(tloc_mtx(ATTR_id, timeout));
 }
 
Index: EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tTask_inline.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tTask_inline.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tTask_inline.h	(revision 429)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2015 by Ushio Laboratory
  *              Graduate School of Engineering Science, Osaka Univ., JAPAN
- *  Copyright (C) 2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2015-2019 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -191,5 +191,5 @@
 {
 	CELLCB	*p_cellcb= GET_CELLCB(idx);
-	return(iwup_tsk(ATTR_id));
+	return(wup_tsk(ATTR_id));
 }
 
@@ -201,5 +201,5 @@
 {
 	CELLCB	*p_cellcb = GET_CELLCB(idx);
-	return(irel_wai(ATTR_id));
+	return(rel_wai(ATTR_id));
 }
 
Index: EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tTerminateRoutine.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tTerminateRoutine.c	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tTerminateRoutine.c	(revision 429)
@@ -46,6 +46,6 @@
  *  終了処理ルーチン本体の呼出し
  */
-
-void  tTerminateRoutine_start(intptr_t exinf)
+void
+tTerminateRoutine_start(intptr_t exinf)
 {
 	CELLCB	*p_cellcb = (CELLCB *) exinf;
Index: EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tecs_kernel.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tecs_kernel.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/tecs_kernel/tecs_kernel.h	(revision 429)
@@ -47,11 +47,7 @@
 #include <kernel.h>
 
-extern void	tTask_start(intptr_t exinf);
-
-extern void tTimeEventHandler_start(intptr_t exinf);
+extern void tTask_start(intptr_t exinf);
 
 extern void tISR_start(intptr_t exinf);
-extern void tInterruptHandler_start(void);
-extern void tCpuExceptionHandler_start(void *p_excinf);
 
 extern void tInitializeRoutine_start(intptr_t exinf);
Index: EcnlProtoTool/trunk/asp3_dcre/tecsgen/MANIFEST_for_asp3
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecsgen/MANIFEST_for_asp3	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/tecsgen/MANIFEST_for_asp3	(revision 429)
@@ -25,5 +25,8 @@
 tecslib/core/tecs_lang.rb
 tecslib/core/tecsgen.rb
+tecslib/core/tecsinfo.rb
+tecslib/core/tool_info.rb
 tecslib/core/types.rb
+tecslib/core/unjoin_plugin.rb
 tecslib/core/value.rb
 
@@ -36,7 +39,9 @@
 tecslib/plugin/CellPlugin.rb
 tecslib/plugin/CelltypePlugin.rb
+tecslib/plugin/CompositePlugin.rb
 tecslib/plugin/DomainPlugin.rb
 tecslib/plugin/Mruby2CBridgePlugin.rb
 tecslib/plugin/MrubyBridgePlugin.rb
+tecslib/plugin/MultiPlugin.rb
 tecslib/plugin/NotifierPlugin.rb
 tecslib/plugin/RPCPlugin.rb
@@ -97,2 +102,5 @@
 tecs/rpc/tTDR_inline.h
 tecs/rpc/tecs_rpc.h
+tecs/rpc/tMessageBufferCEP.cdl
+tecs/rpc/tMessageBufferCEP_inline.h
+tecs/rpc/tMessageBufferChannel.cdl
